typealias Callback = ( Void ) -> Void

class CallbackHolder {

  var callbacks	= [ Callback ]()

  func add(callbacks cbs: Callback...) {
    for	cb in cbs { self.callbacks.append(cb) }
  }
}

let cbh	= CallbackHolder()
cbh.add(callbacks: { print("A") }, { print("B") })

for cb in cbh.callbacks	{
  cb()
}


